//Author:    Max Howell <max.howell@methylblue.com>, (C) 2003-4
//Copyright: See COPYING file that comes with this distribution

#ifndef PROGRESSBOX_H
#define PROGRESSBOX_H

#include <tqlabel.h>
#include <tqtimer.h>

namespace TDEIO { class Job; }


class ProgressBox : public TQLabel
{
TQ_OBJECT
  

public:
    ProgressBox( TQWidget*, TQObject* );

    void setText( int );

public slots:
    void start();
    void report();
    void stop();
    void halt();

private:
    TQTimer m_timer;
};

#endif
